Delete a list
curl --request DELETE \
--url https://api.domo.com/v1/projects/{PROJECT_ID}/lists/{LIST_ID} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.domo.com/v1/projects/{PROJECT_ID}/lists/{LIST_ID}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.domo.com/v1/projects/{PROJECT_ID}/lists/{LIST_ID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Projects and Tasks API
Delete a list
Permanently deletes a list from your Domo instance.
Warning
This is destructive and cannot be reversed.
DELETE
/
v1
/
projects
/
{PROJECT_ID}
/
lists
/
{LIST_ID}
Delete a list
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the project
The ID of the list
Response
200
Returns the parameter of success or error based on the project ID and list ID being valid.
⌘I